Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.proxy
Class ClientContainer

    java.lang.Object
      org.jboss.proxy.ClientContainer

All Implemented Interfaces:
  Externalizable, IClientContainer, InvocationHandler, Serializable

public class ClientContainer
extends Object
implements IClientContainer, Externalizable, InvocationHandler

An invocation handler whichs sets up the client invocation and starts the invocation interceptor call chain.

Version:
  $Revision: 1.12.6.1 $
Author:
  Marc Fleury
See Also:
  Serialized Form

Field Summary
`InvocationContext` | `context` The static information that gets attached to every invocation.
`protected static Object[]` | `EMPTY_ARGS` An empty method parameter list.
`Interceptor` | `next` The first interceptor in the chain.

Constructor Summary
`ClientContainer()` Exposed for externalization.
`ClientContainer(InvocationContext context)`

Method Summary
`ArrayList` | `getInterceptors()` Access a copy of the proxy container interceptor stack.
`InvocationContext` | `getInvocationContext()` Access the InvocationContext associated with the proxy by the server side proxy factory.
`Object` | `invoke(Object proxy, Method m, Object[] args)`
`void` | `readExternal(ObjectInput in)` Externalization support.
`void` | `setInterceptors(ArrayList interceptors)` Set the proxy container interceptor stack.
`Interceptor` | `setNext(Interceptor interceptor)`
`void` | `writeExternal(ObjectOutput out)` Externalization support.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_ARGS

    protected static final Object[] EMPTY_ARGS

  An empty method parameter list.

### context

    public InvocationContext context

  The static information that gets attached to every invocation.

### next

    public Interceptor next

  The first interceptor in the chain.

Constructor Detail

### ClientContainer

    public ClientContainer()

  Exposed for externalization.

### ClientContainer

    public ClientContainer(InvocationContext context)

Method Detail

### invoke

    public Object invoke(Object proxy,
                         Method m,
                         Object[] args)
                  throws Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`

### getInvocationContext

    public InvocationContext getInvocationContext()

  Description copied from interface: `IClientContainer`
  Access the InvocationContext associated with the proxy by the server side proxy factory. The contents of this will depend on the proxy factory.

  Specified by:
    `getInvocationContext` in interface `IClientContainer`
  Returns:
    The proxy creation time InvocationContext

### getInterceptors

    public ArrayList getInterceptors()

  Description copied from interface: `IClientContainer`
  Access a copy of the proxy container interceptor stack.

  Specified by:
    `getInterceptors` in interface `IClientContainer`
  Returns:
    ArrayList

### setInterceptors

    public void setInterceptors(ArrayList interceptors)

  Description copied from interface: `IClientContainer`
  Set the proxy container interceptor stack.

  Specified by:
    `setInterceptors` in interface `IClientContainer`
  Parameters:
    `interceptors` - - ArrayList to install as the new interceptor stack

### setNext

    public Interceptor setNext(Interceptor interceptor)

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Externalization support.

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Externalization support.

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.